<?php
/*
Plugin Name: Newspaper AMP Theme  
Plugin URI: https://ampforwp.com/themes/newspaper/
Description: Newspaper Theme built for AMP
Version: 1.9
Author:  Mohammed Kaludi, Ahmed Kaludi
Author URI: http://ampforwp.com
License: GPL2
*/
// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;

if ( ! defined( 'AMP_THEME_VERSION' ) ) {
    define( 'AMP_THEME_VERSION', '1.9' );
}
// this is the URL our updater / license checker pings. This should be the URL of the site with EDD installed
define( 'AMP_THEME_STORE_URL', 'https://accounts.ampforwp.com/' ); // you should use your own CONSTANT name, and be sure to replace it throughout this file

// the name of your product. This should match the download name in EDD exactly
define( 'AMP_THEME_ITEM_NAME', 'Newspaper Theme for AMP' );

// the download ID. This is the ID of your product in EDD and should match the download ID visible in your Downloads list (see example below)
//define( 'AMPFORWP_ITEM_ID', 2502 );
// the name of the settings page for the license input to be displayed
define( 'AMP_THEME_LICENSE_PAGE', 'newspaper-theme-for-amp' );

// Define the Folder of the theme.
define('AMPFORWP_CUSTOM_THEME', plugin_dir_path( __FILE__ )); 

// Remove old files
add_action('init','ampforwp_custom_theme_remove_old_files',11);
function ampforwp_custom_theme_remove_old_files(){
    remove_action('pre_amp_render_post','ampforwp_stylesheet_file_insertion', 12 );
	remove_filter( 'amp_post_template_file', 'ampforwp_custom_header', 10, 3 );
	// if ( is_singular() ) {
		remove_filter( 'amp_post_template_file', 'ampforwp_custom_template', 10, 3 );
	// }
	add_action('amp_post_template_head', function() {
		remove_action( 'amp_post_template_head', 'amp_post_template_add_fonts');
	}, 9);
}

// Register New Files
add_action('init','ampforwp_custom_theme_files_register', 10);
function ampforwp_custom_theme_files_register(){
	add_filter( 'amp_post_template_file', 'ampforwp_custom_header_file', 10, 2 );
	add_filter( 'amp_post_template_file', 'ampforwp_designing_custom_template', 10, 3 );
	add_filter( 'amp_post_template_file', 'ampforwp_custom_footer_file', 10, 2 );
	add_filter( 'amp_post_template_file', 'ampforwp_bread_crumbs_file', 10, 2 );
	add_filter( 'amp_post_template_file', 'ampforwp_social_icon_file', 10, 2 );
	add_filter( 'amp_post_template_file', 'ampforwp_related_post_file', 10, 2 );
	add_filter( 'amp_post_template_file', 'ampforwp_comments_file', 10, 2 );
 	add_filter( 'amp_post_template_file', 'ampforwp_featured_image_file', 10, 2 );
}
//bread crumb
function ampforwp_bread_crumbs_file($file, $type){
	if ( 'bread-crumbs' === $type ) {
		$file = AMPFORWP_CUSTOM_THEME . '/template/elements/bread-crumbs.php';
	}
	return $file;
}
//social icons
function ampforwp_social_icon_file($file, $type){
	if ( 'social-icons' === $type ) {
		$file = AMPFORWP_CUSTOM_THEME . '/template/elements/social-icons.php';
	}
	return $file;
}
//related posts
function ampforwp_related_post_file($file, $type){
	if ( 'related-posts' === $type ) {
		$file = AMPFORWP_CUSTOM_THEME . '/template/elements/related-posts.php';
	}
	return $file;
}
//comments 
function ampforwp_comments_file($file, $type){
    if ( 'comments' === $type ) {
        $file = AMPFORWP_CUSTOM_THEME . '/template/elements/comments.php';
    }
    return $file;
}
//featured image
function ampforwp_featured_image_file($file, $type){
    if ( 'featured-image' === $type ) {
        $file = AMPFORWP_CUSTOM_THEME . '/template/elements/featured-image.php';
    }
    return $file;
}
// Custom Header
function ampforwp_custom_header_file( $file, $type ) { 
	if ( 'header-bar' === $type ) {
		$file = AMPFORWP_CUSTOM_THEME . '/template/header-bar.php';
	}
	return $file;
}


// Custom Template Files
function ampforwp_designing_custom_template( $file, $type, $post ) { 
	global $redux_builder_amp;

	// Single file
    if ( is_single() || is_page() ) {
		if('single' === $type && !('product' === $post->post_type )) {
			$file = AMPFORWP_CUSTOM_THEME . '/template/single.php';
	 	}
	}
    // Archive
	if ( is_archive() ) {
        if ( 'single' === $type ) {
            $file = AMPFORWP_CUSTOM_THEME . '/template/archive.php';
        }
    }
    // Homepage

        global $redux_builder_amp;
		$slug = array();
		$current_url_in_pieces = array();

		$ampforwp_custom_post_page  =  ampforwp_custom_post_page();

        if ( is_home() ) {
        	if ( 'single' === $type ) {

        		$file = AMPFORWP_CUSTOM_THEME . '/template/index.php';

		       if ($redux_builder_amp['amp-frontpage-select-option'] == 1) {
		           
		            $file = AMPFORWP_CUSTOM_THEME . '/template/custom-frontpage.php';
	            }           
        	
		        if ( $ampforwp_custom_post_page == "page" && ampforwp_name_blog_page() ) {
					$current_url = home_url( $GLOBALS['wp']->request );
					$current_url_in_pieces = explode( '/', $current_url );
				
					if( in_array( ampforwp_name_blog_page() , $current_url_in_pieces )  ) {
						 $file = AMPFORWP_CUSTOM_THEME . '/template/index.php';
					}  
				}
			}	
		}
    
						// Search pages
      	if ( is_search() )  {
      		 if ( 'single' === $type ) {
           			 $file = AMPFORWP_CUSTOM_THEME . '/template/search.php';
           	}
        }
  	return $file;
}

// Custom Footer
function ampforwp_custom_footer_file($file, $type ){
	if ( 'footer' === $type ) {
		$file = AMPFORWP_CUSTOM_THEME . '/template/footer.php';
	}
	return $file;
}
//add_action( 'amp_post_template_head', 'amp_post_template_add_custom_google_font');


// Loading Core Styles 
require_once( AMPFORWP_CUSTOM_THEME . '/template/style.php' );
require_once( AMPFORWP_CUSTOM_THEME . '/template/news-block-1.php');
require_once( AMPFORWP_CUSTOM_THEME . '/template/news-block-2.php');
require_once( AMPFORWP_CUSTOM_THEME . '/template/news-trending.php');
require_once( AMPFORWP_CUSTOM_THEME . '/template/amp-theme-settings-page.php');
require_once( AMPFORWP_CUSTOM_THEME . '/template/search-function.php'); 

// Add Scripts only when AMP Menu is Enabled
if( has_nav_menu( 'amp-menu' ) ) {
    if ( empty( $data['amp_component_scripts']['amp-accordion'] ) ) {
        $data['amp_component_scripts']['amp-accordion'] = 'https://cdn.ampproject.org/v0/amp-accordion-0.1.js';
    }
}

// Adding a thumbnail size
add_image_size( 'amp_big_img', 425, 360, true ); // 220 pixels wide by 180 pixels tall, soft proportional crop mode



// adding the amp-iframe script for Featured Video #21
add_filter('amp_post_template_data', 'ampforwp_adding_iframe_scripts',100);
function ampforwp_adding_iframe_scripts($data){
			global $post;
			if ( empty( $data['amp_component_scripts']['amp-iframe'] ) ) {
				if(is_singular() && get_post_format($post->ID) =='video'){
					$data['amp_component_scripts']['amp-iframe'] = 'https://cdn.ampproject.org/v0/amp-iframe-0.1.js';
					}
			}
		return $data;
	}

require_once dirname( __FILE__ ) . '/updater/EDD_SL_Plugin_Updater.php';

// Check for updates
function amp_theme_plugin_updater() {

    // retrieve our license key from the DB
    //$license_key = trim( get_option( 'amp_ads_license_key' ) );
    $selectedOption = get_option('redux_builder_amp',true);
    $license_key = '';//trim( get_option( 'amp_ads_license_key' ) );
    $pluginItemName = '';
    $pluginItemStoreUrl = '';
    $pluginstatus = '';
    if( isset($selectedOption['amp-license']) && "" != $selectedOption['amp-license'] && isset($selectedOption['amp-license']['newspaper-theme-for-amp'])){

       $pluginsDetail = $selectedOption['amp-license']['newspaper-theme-for-amp'];
       $license_key = $pluginsDetail['license'];
       $pluginItemName = $pluginsDetail['item_name'];
       $pluginItemStoreUrl = $pluginsDetail['store_url'];
       $pluginstatus = $pluginsDetail['status'];
    }
    
    // setup the updater
    $edd_updater = new AMP_THEME_EDD_SL_Plugin_Updater( AMP_THEME_STORE_URL, __FILE__, array(
            'version'   => AMP_THEME_VERSION,                // current version number
            'license'   => $license_key,                        // license key (used get_option above to retrieve from DB)
            'license_status'=>$pluginstatus,
            'item_name' => AMP_THEME_ITEM_NAME,          // name of this plugin
            'author'    => 'Mohammed Kaludi',                   // author of this plugin
            'beta'      => false,
        )
    );
}
add_action( 'admin_init', 'amp_theme_plugin_updater', 0 );

// Notice to enter license key once activate the plugin

$path = plugin_basename( __FILE__ );
    add_action("after_plugin_row_{$path}", function( $plugin_file, $plugin_data, $status ) {
        global $redux_builder_amp;
    
        if(empty($redux_builder_amp['amp-license']['newspaper-theme-for-amp']['license'])){
            echo "<tr class='active'><td>&nbsp;</td><td colspan='2'><a href='".esc_url(  self_admin_url( 'admin.php?page=amp_options&tab=29' )  )."'>Please enter the license key</a> to get the <strong>latest features</strong> and <strong>stable updates</strong></td></tr>";
                }
    }, 10, 3 );