<?php
if ( ! function_exists( 'ampforwp_theme_settings' ) ) {
	function ampforwp_theme_settings($sections){
                
		$sections[] = array(
		      'title'      => __( 'Newspaper Theme', 'ampnewstheme' ),
		      'icon'       => 'el el-brush',
			  'id'         => 'ampforwp-theme-subsection',
		      'desc'       => " ",
							);
$comment_desc_1 = '<p>We have created the videos that will allow you to understand how to setup the AMP Newspaper theme on your website.</p><br />Part One: Homepage Setup<p><iframe width="480" height="300" src="https://www.youtube.com/embed/gmrW_KLmss0" frameborder="0" allowfullscreen></iframe></p><br />Part Two: Single Post and Other Options
<p><iframe width="480" height="300" src="https://www.youtube.com/embed/_PhXjNIAwHY" frameborder="0" allowfullscreen></iframe></p>';

		$sections[] = array(
		      'title'      => __( 'Introduction', 'ampnewstheme' ), 			
              'id'   	   => 'ampforwp-theme-subsection-shortcode',
		      'subsection' => true,
            'desc' => $comment_desc_1,
                     );


		$sections[] = array(
		      'title'      => __( 'Settings', 'ampnewstheme' ),
		      'desc'       => __( '', 'ampnewstheme'),
			  'id'		   => 'ampforwp-theme-subsection-shortcode',
		      'subsection' => true,
              'fields'      => array(
                    //header section
                array(
                       'id' => 'header',
                       'type' => 'section',
                       'title' => __('Header', 'accelerated-mobile-pages'),
                       'indent' => true,
                   ),
                    array(
                         'id'       => 'amp-search-menu-selector',
                         'type'     => 'select',
                         'title'    => __( 'Menu & Search Selector', 'accelerated-mobile-pages' ),
                         'subtitle' => __( 'Select your Menu & Search Overlay design.', 'accelerated-mobile-pages' ),
                         'options'  => array(
                             '1' => __('Background Image', 'accelerated-mobile-pages' ),
                             '2' => __('Background Color', 'accelerated-mobile-pages' ),
                         ),
                         'default'  => '1'
                    ),
                     array(
                        'id'       => 'opt-search-media',
                        'type'     => 'media',
                        'url'      => true,
                        'title'    => __('Menu & Search Overlay Background Image', 'accelerated-mobile-pages'),
                        'subtitle' => __('Upload a background image for the Search Icon.', 'accelerated-mobile-pages'),
                        'required' => array(
                                        array('amp-search-menu-selector', '=' , '1')
                                        ),
                     ),
                    array(
                         'id'        => 'amp-opt-color-rgba-text-search-media',
                         'type'      => 'color_rgba',
                         'title'     => __('Menu & Search Overlay Text Color','accelerated-mobile-pages'),
                         'default'   => array(
                             'color'     => '#eee',
                         ),
                         'required' => array(
                           array('amp-search-menu-selector', '=' , '1'),
                         )
                     ),
                     array(
                         'id'        => 'amp-opt-color-rgba-search-media',
                         'type'      => 'color_rgba',
                         'title'     => __('Menu & Search Overlay Background Color','accelerated-mobile-pages'),
                         'default'   => array(
                             'color'     => '#131313',
                         ),
                         'required' => array(
                           array('amp-search-menu-selector', '=' , '2')
                         )
                     ),
                     array(
                         'id'        => 'amp-opt-color-rgba-text-search-media',
                         'type'      => 'color_rgba',
                         'title'     => __('Menu & Search Overlay Text Color','accelerated-mobile-pages'),
                         'default'   => array(
                             'color'     => '#eee',
                         ),
                         'required' => array(
                           array('amp-search-menu-selector', '=' , '2'),
                         )
                     ),
                     array(
                         'id'        => 'amp-header-bg-color',
                         'type'      => 'color_rgba',
                         'title'     => __('Header Background Color','accelerated-mobile-pages'),
                         'default'   => array(
                             'color'     => '#000',
                         )
                     ),
                     array(
                         'id'        => 'amp-header-icon-color',
                         'type'      => 'color_rgba',
                         'title'     => __('Header Icon Color','accelerated-mobile-pages'),
                         'default'   => array(
                             'color'     => '#fff',
                         )
                     ),
                     array(
                        'id'        => 'amp-theme-enable-menu-social',
                        'type'      => 'switch',
                        'title'     => __('Social profiles', 'accelerated-mobile-pages'),
                        'default'   => 1,
                        'subtitle'  => __('Display or hide social profile icons in Menu', 'accelerated-mobile-pages'),
                    ),

                    //Homepage options
                array(
                       'id' => 'homepage',
                       'type' => 'section',
                       'title' => __('HomePage', 'accelerated-mobile-pages'),
                       'indent' => true,
                   ),
                     array(
                         'id'        => 'amp-homepage-pagination',
                         'type'      => 'color_rgba',
                         'title'     => __('Pagination Background','accelerated-mobile-pages'),
                         'default'   => array(
                             'color'     => '#4db2ec',
                         )
                     ),
                // Single Section
                array(
                       'id' => 'single',
                       'type' => 'section',
                       'title' => __('Single', 'accelerated-mobile-pages'),
                       'indent' => true,
                   ),
                     array(
                        'id'       => 'bread-crumb',
                        'type'     => 'switch',
                        'default'  =>  '1',
                        'title'    => __('Breadcrumb', 'accelerated-mobile-pages'),
                        'subtitle' => __('Enable or disable the Breadcrumb'),                  
                    ),
                    array(
                      'id'       => 'meta-single',
                      'type'     => 'switch',
                      'default'  =>  '1',
                      'title'    => __('Meta For Single', 'accelerated-mobile-pages'),
                      'subtitle' => __('Enable or disable the Meta on Single'),                  
                    ),
                    array(
                        'id'       => 'featured-image',
                        'type'     => 'switch',
                        'default'  =>  '1',
                        'title'    => __('Featured Image', 'accelerated-mobile-pages'),
                        'subtitle' => __('Enable or disable the Featured Image on single'),                  
                    ),
                    array(
                        'id'        => 'amp-theme-anchor-link-color',
                        'type'      => 'color_rgba',
                        'title'     => __('Anchor Link Color','accelerated-mobile-pages'),
                        'default'   => array(
                                'color'     => '#4db2ec',
                            )
                     ), 
                    array(
                        'id'       => 'author-box-single',
                        'type'     => 'switch',
                        'default'  =>  '1',
                        'title'    => __('Author Box', 'accelerated-mobile-pages'),
                        'subtitle' => __('Enable or disable the Author box'),                  
                    ),
                    array(
                        'id'       => 'amp-tag',
                        'type'     => 'switch',
                        'default'  =>  '1',
                        'title'    => __('Tags', 'accelerated-mobile-pages'),
                        'subtitle' => __('Enable or disable the Tags'),                  
                    ),
                    array(
                        'id'        => 'namp-enable-single-next-prev',
                        'type'      => 'switch',
                        'title'     => __('Next-Previous Links', 'accelerated-mobile-pages'),
                        'default'   => 1,
                        'subtitle'  => __('Enable Next-Previous links in single', 'accelerated-mobile-pages'),
                    ),
                    array(
                        'id'        => 'namp-enable-single-social-top',
                        'type'      => 'switch',
                        'title'     => __('Social Share Top', 'accelerated-mobile-pages'),
                        'default'   => 1,
                        'subtitle'  => __('Display or hide the social share icons on top', 'accelerated-mobile-pages'),
                    ),
                    array(
                        'id'        => 'namp-enable-single-social-bottom',
                        'type'      => 'switch',
                        'title'     => __('Social Share Bottom', 'accelerated-mobile-pages'),
                        'default'   => 1,
                        'subtitle'  => __('Display or hide the social share icons on bottom', 'accelerated-mobile-pages'),
                    ),
                    array(
                      'id'       => 'review-single',
                      'type'     => 'switch',
                      'default'  =>  1,
                      'title'    => __('Review', 'accelerated-mobile-pages'),
                      'subtitle' => __('Available for only Newspaper by TagDiv'),                  
                    ),
                //Footer section
                array(
                       'id' => 'footer',
                       'type' => 'section',
                       'title' => __('Footer', 'accelerated-mobile-pages'),
                       'indent' => true,
                   ),
                array(
                        'id'        => 'footer-bg-color',
                        'type'      => 'color_rgba',
                        'title'     =>__('Footer Background Color', 'accelerated-mobile-pages'),
                        'default'   => array(
                             'color'     => '#111',
                        )
                ),
                array(
                    'id'        =>'amp-footer-on-off-support-for-non-amp-home-page',
                    'type'      => 'switch',
                    'title'     => __('Non-AMP HomePage link in Footer and Logo', 'accelerated-mobile-pages'),
                    'subtitle'  => __('If you want users in footer to go to non-AMP website from the Footer logo, then you can enable this option', 'accelerated-mobile-pages'),
                    'default'   => 0,
                 ),
                    array(
                        'id'       => 'opt-footer-media',
                        'type'     => 'media',
                        'url'      => true,
                        'title'    => __('Footer Logo', 'accelerated-mobile-pages'),
                        'subtitle' => __('Upload a Footer logo for the AMP version.', 'accelerated-mobile-pages'),
                        'desc'    => __('Recommend Footer logo size is: 230x77', 'accelerated-mobile-pages')
                     ),
                    array(
                         'id'       => 'ampforwp-custom-footer-logo-dimensions',
                         'title'    => __('Custom Logo Size', 'accelerated-mobile-pages'),
                         'type'     => 'switch',
                         'default'  => 0,
                     ),
                    array(
                         'id'       => 'opt-media-footer-logo-width',
                         'type'     => 'text',
                         'title'    => __('Logo Width', 'accelerated-mobile-pages'),
                         'desc'    => __('Default width is 230 pixels', 'accelerated-mobile-pages'),
                         'default' => '230',
                         'required'=>array('ampforwp-custom-footer-logo-dimensions','=','1'),
                     ),
                    array(
                         'id'       => 'opt-media-footer-logo-height',
                         'type'     => 'text',
                         'title'    => __('Logo Height', 'accelerated-mobile-pages'),
                         'desc'    => __('Default height is 77 pixels', 'accelerated-mobile-pages'),
                         'default' => '77',
                         'required'=>array('ampforwp-custom-footer-logo-dimensions','=','1'),

                     ),
                    array(
                         'id'       => 'ampforwp-footor-about-us',
                         'title'    => __('Footer About Text', 'accelerated-mobile-pages'),
                         'type'     => 'switch',
                         'default'  => 0,
                     ),
                    array(
                        'id'       => 'amp-footer-about-us-text-area',
                        'type'     => 'textarea',
                        'title'    => __('Enter The Text', 'accelerated-mobile-pages'),
                        
                        'required'=>array('ampforwp-footor-about-us','=','1'),
                        'default'   => '<p>
                        Lorem Ipsum has been the industry standard dummy text ever since the 1500s, when an unknown printer took a galley of type and scrambled it to make a type specimen book. </p> <p> contact us:<a href="mailto:contact@yoursite.com"> contact@yoursite.com </a> </p>',
                    ),
                    array(
                        'id'        => 'amp-theme-enable-footer-social',
                        'type'      => 'switch',
                        'title'     => __('Social profiles', 'accelerated-mobile-pages'),
                        'default'   => 1,
                        'subtitle'  => __('Display or hide social profile icons in Footer', 'accelerated-mobile-pages'),
                    ),

                    // Translation section
                    array(
                       'id' => 'translation',
                       'type' => 'section',
                       'title' => __('Translation', 'accelerated-mobile-pages'),
                       'indent' => true,
                    ),
                     array(
                       'id'       => 'amp-theme-translator-breadcrumb-text',
                       'type'     => 'text',
                       'title'    => __('Breadcrumb Homepage text', 'accelerated-mobile-pages'),
                       'default'  => __('Homepage','accelerated-mobile-pages'),
                       'placeholder'=>__('write here','accelerated-mobile-pages'),
                       'required' => array( 'amp-use-pot', '=' , 0 )
                   ),
                    array(
                       'id'       => 'amp-theme-translator-by-text',
                       'type'     => 'text',
                       'title'    => __('By', 'accelerated-mobile-pages'),
                       'subtitle' => __('before the author name in Single','accelerated-mobile-pages'),
                       'default'  => __('By','accelerated-mobile-pages'),
                       'placeholder'=>__('write here','accelerated-mobile-pages'),
                       'required' => array( 'amp-use-pot', '=' , 0 )
                   ),
                    array(
                       'id'       => 'amp-theme-translator-next-article-text',
                       'type'     => 'text',
                       'title'    => __('Next article', 'accelerated-mobile-pages'),
                       'default'  => __('Next article','accelerated-mobile-pages'),
                       'placeholder'=>__('write here','accelerated-mobile-pages'),
                       'required' => array( 'amp-use-pot', '=' , 0 )
                   ),
                   array(
                       'id'       => 'amp-theme-translator-previous-article-text',
                       'type'     => 'text',
                       'title'    => __('Previous article', 'accelerated-mobile-pages'),
                       'default'  => __('Previous article','accelerated-mobile-pages'),
                       'placeholder'=>__('write here','accelerated-mobile-pages'),
                       'required' => array( 'amp-use-pot', '=' , 0 )
                   ),
                   array(
                       'id'       => 'amp-theme-translator-about-us-text',
                       'type'     => 'text',
                       'title'    => __('ABOUT US', 'accelerated-mobile-pages'),
                       'default'  => __('ABOUT US','accelerated-mobile-pages'),
                       'placeholder'=>__('write here','accelerated-mobile-pages'),
                       'required' => array( 'amp-use-pot', '=' , 0 )
                   ),
                     array(
                       'id'       => 'amp-theme-translator-follow-us-text',
                       'type'     => 'text',
                       'title'    => __('FOLLOW US', 'accelerated-mobile-pages'),
                       'default'  => __('FOLLOW US','accelerated-mobile-pages'),
                       'placeholder'=>__('write here','accelerated-mobile-pages'),
                       'required' => array( 'amp-use-pot', '=' , 0 )
                   ),

              ),
        );
return $sections;
}
}
add_filter("redux/options/redux_builder_amp/sections", 'ampforwp_theme_settings');