<?php global $redux_builder_amp , $wp;
$post_id = $redux_builder_amp['amp-frontpage-select-option-pages'];
$template = new AMP_Post_Template( $post_id );?>
<!doctype html>
<html amp <?php echo AMP_HTML_Utils::build_attributes_string( $template->get( 'html_tag_attributes' ) ); ?>>
<head>
	<meta charset="utf-8">
    <link rel="dns-prefetch" href="https://cdn.ampproject.org">
	<?php do_action( 'amp_post_template_head', $template ); ?>
	<style amp-custom>
	 
	<?php do_action( 'amp_post_template_css', $template ); ?>
	</style>
</head>
<body class="design_news_wrapper single-post <?php if(is_page()){ echo'amp-single-page'; };?>">
<?php do_action('ampforwp_body_beginning', $this); ?>
<?php $template->load_parts( array( 'header-bar' ) ); ?>
<?php do_action( 'ampforwp_after_header', $this ); ?>

<main>
	<article class="amp-wp-article"> 	
		<div class="amp-wp-content">
			<div class="singlepage-wrapper">
				<?php
				$pagebuilder_check = get_post_meta( $post_id ,'ampforwp_custom_sidebar_select',true);
		// Layout-bulder check
		if ( $pagebuilder_check != 'layout-builder') {
				 $template->load_parts( array( 'bread-crumbs' ) ); ?>
				<div class="page-title">
						<h1 > <?php
							$ampforwp_title = $template->get( 'post_title' ) ;
							$ampforwp_title =  apply_filters('ampforwp_filter_single_title', $ampforwp_title);
							echo wp_kses_data( $ampforwp_title ); ?>
						</h1>
						<?php do_action('ampforwp_below_the_title',$this); ?>
				</div>
				<?php if( is_page() || is_home() && $redux_builder_amp['meta_page'] ) { ?>
				<div class="author-info" >
						<?php $post_author = $template->get( 'post_author' ); ?>
						<span class="author-by"><?php echo ampforwp_translation($redux_builder_amp['amp-theme-translator-by-text'], 'By'); ?> <strong> <?php echo esc_html( $post_author->display_name ); ?></strong></span>
						<span>-</span> 
						<span class="post-date"><?php echo the_modified_date( get_option( 'date_format' ) ) ?>						
						</span>
				</div><!-- /.author-info --><?php } ?>
				<div class="singlepage-socialicons">
						<?php $template->load_parts( array( 'social-icons' ) ); ?>
				</div><!-- /.singlepage-socialicons -->
					
				<?php $template->load_parts( array( 'featured-image' ) ); ?>
				<?php } // Layout-bulder check ?>
				<div class="post-content frontPage"> <?php
					$amp_custom_content_enable = get_post_meta( $template->get( 'post_id' ) , 'ampforwp_custom_content_editor_checkbox', true);
					// Normal Front Page Content
					if ( ! $amp_custom_content_enable ) {
						$ampforwp_the_content = $template->get( 'post_amp_content' ); // amphtml content; no kses
					} else {
					// Custom/Alternative AMP content added through post meta
					$ampforwp_the_content = $template->get( 'ampforwp_amp_content' );
					} 
					//pagination start here
					if($redux_builder_amp['amp-pagination']) {
						$ampforwp_new_content = explode('<!--nextpage-->', $ampforwp_the_content);
		    			$queried_var = get_query_var('page');
		    			if ( $queried_var > 1 ) {
		      					$queried_var = $queried_var -1   ;
		   				 }
		    			else{
		    	 				$queried_var = 0;
		   				 }
		    			echo $ampforwp_new_content[$queried_var];
	 				} else{
	 						echo $ampforwp_the_content;
	 				} //pagination end here
					do_action('ampforwp_after_post_content',$this) ; //Post After Content here ?>
					</div><!-- /.post-content -->				 
				 <?php do_action('ampforwp_above_related_post',$this); //Above Related Posts ?>	
			</div><!-- /.singlepage-wrapper -->
		</div><!-- /.amp-wp-content -->	
	</article>
</main>
<?php do_action( 'amp_post_template_above_footer', $this ); ?>
<?php $template->load_parts( array( 'footer' ) ); ?>
<?php do_action( 'amp_post_template_footer', $template ); ?>
</body>
</html>