<?php global $redux_builder_amp; ?>
<!doctype html>
<html amp <?php echo AMP_HTML_Utils::build_attributes_string( $this->get( 'html_tag_attributes' ) ); ?>>
<head>
	<meta charset="utf-8">
    <link rel="dns-prefetch" href="https://cdn.ampproject.org">
	<?php do_action( 'amp_post_template_head', $this ); ?>
	<style amp-custom>
	<?php do_action( 'amp_post_template_css', $this ); ?>
	</style>
</head>
<body class="design_news_wrapper single-post <?php if(is_page()){ echo'amp-single-page'; };?>">
<?php do_action('ampforwp_body_beginning', $this); ?>
<?php $this->load_parts( array( 'header-bar' ) ); ?>
<?php do_action( 'ampforwp_after_header', $this ); ?>

<main>
	<article class="amp-wp-article"> 	
		<div class="amp-wp-content">
			<div class="singlepage-wrapper">
		<?php
		$pagebuilder_check = get_post_meta( get_the_ID(),'ampforwp_custom_sidebar_select',true);	
		// Layout-bulder check
		if ( $pagebuilder_check != 'layout-builder') {
				$this->load_parts( array( 'bread-crumbs' ) ); ?>
			<div class="category-single">    
                <?php global $redux_builder_amp;
                     $ampforwp_cat=  get_the_terms( $this->ID, 'post_cat' );    
                    if($ampforwp_cat){?>
                        <ul>
                             <?php foreach((get_the_category()) as $category) {
                                    echo ('<li><a href="'.trailingslashit( trailingslashit( get_category_link( $category->term_id ) ) . 'amp' ) . '" >'. $category->cat_name .'</a></li>');
                                        }?>
                        </ul><?php }?>	
			</div>
				<div class="page-title">
						<h1 > <?php 
							$ampforwp_title = $this->get( 'post_title' ) ;
							$ampforwp_title =  apply_filters('ampforwp_filter_single_title', $ampforwp_title);
							echo wp_kses_data( $ampforwp_title ); ?>
						</h1>
						<?php 	
								if( array_key_exists( 'enable-excerpt-single' , $redux_builder_amp ) ) {
									if($redux_builder_amp['enable-excerpt-single']) {
										if(has_excerpt()){ ?>
											<div class="ampforwp_single_excerpt">
												<?php $content = get_the_excerpt();
												echo $content; ?>
											</div>
										<?php }
									}
								} 
						?>
						<?php do_action('ampforwp_below_the_title',$this); ?>
				</div>
				<?php if($redux_builder_amp['meta-single'] && is_single()) { ?>
				<div class="author-info" >
						<?php $post_author = $this->get( 'post_author' );?>
						<span class="author-by"> <?php echo ampforwp_translation($redux_builder_amp['amp-theme-translator-by-text'], 'By'); ?> <strong> <?php echo esc_html( $post_author->display_name ); ?></strong></span>
						<span>-</span>
						<span class="post-date"><?php global $redux_builder_amp; echo apply_filters('ampforwp_modify_post_date', ampforwp_translation($redux_builder_amp['amp-translator-on-text']. ' ', 'On') . get_the_date( get_option( 'date_format' ) ) ) ?>						
						</span>
				</div><!-- /.author-info --><?php } ?>

				<?php if($redux_builder_amp['meta_page'] && is_page()) { ?>
				<div class="author-info" >
						<?php $post_author = $this->get( 'post_author' ); ?>
						<span class="author-by"> <?php echo ampforwp_translation($redux_builder_amp['amp-theme-translator-by-text'], 'By'); ?><strong> <?php echo esc_html( $post_author->display_name ); ?></strong></span>
						<span>-</span>
						<span class="post-date"><?php  global $redux_builder_amp; echo apply_filters('ampforwp_modify_post_date', ampforwp_translation($redux_builder_amp['amp-translator-on-text']. ' ', 'On') . get_the_date( get_option( 'date_format' ) ) ) ?>							
						</span>
				</div><!-- /.author-info --><?php } ?>


				<?php if(isset($redux_builder_amp['namp-enable-single-social-top']) && $redux_builder_amp['namp-enable-single-social-top']) { ?> 
				<div class="singlepage-socialicons">
						<?php $this->load_parts( array( 'social-icons' ) ); ?>
				</div><!-- /.singlepage-socialicons --> <?php } ?>
					
				<?php $this->load_parts( array( 'featured-image' ) ); ?>
				<?php

				// Featured Video Support For Newspaper 8 users #21
					$post_id = get_the_ID();
					if(get_post_format($post_id) =='video'){
						$meta = get_post_meta(get_the_ID(), '', true);
						if($meta['td_post_video']){
							foreach ($meta['td_post_video'] as $key => $value) {
							$meta_value= explode('"',$value);
							$Fv_url = explode('/',$meta_value[3]);
							$Fv_url = preg_replace('/watch\?v=/', 'embed/', $Fv_url);
							$Fv_url = preg_replace('/youtu.be/si', 'www.youtube.com/embed', $Fv_url);
							$new_Fv_url = implode('/',$Fv_url);	
							}?>	
								<amp-iframe
									height=200
									width=300
									layout="responsive"
									sandbox="allow-scripts allow-same-origin"
									src=<?php echo esc_url($new_Fv_url); ?> 
									frameborder="0"
									allowfullscreen>
								</amp-iframe><?php
							
						}
						
				}

				 } // Layout-bulder check ?>	
				<div class="post-content"> <?php
					do_action('ampforwp_before_post_content',$this); //Post before Content here
					$amp_custom_content_enable = get_post_meta( $this->get( 'post_id' ) , 'ampforwp_custom_content_editor_checkbox', true);
					// Normal Front Page Content
					if ( ! $amp_custom_content_enable ) {
						$ampforwp_the_content = $this->get( 'post_amp_content' ); // amphtml content; no kses
					} else {
					// Custom/Alternative AMP content added through post meta
					$ampforwp_the_content = $this->get( 'ampforwp_amp_content' );
					}
					//Filter to modify the Content
					$ampforwp_the_content = apply_filters('ampforwp_modify_the_content', $ampforwp_the_content);
					//pagination start here
					if($redux_builder_amp['amp-pagination']) {
						$ampforwp_new_content = explode('<!--nextpage-->', $ampforwp_the_content);
		    			$queried_var = get_query_var('page');
		    			if ( $queried_var > 1 ) {
		      					$queried_var = $queried_var -1   ;
		   				 }
		    			else{
		    	 				$queried_var = 0;
		   				 }
		    			echo $ampforwp_new_content[$queried_var];
	 				} else{
	 						echo $ampforwp_the_content;
	 				} //pagination end here
	 				// Review 
						if($redux_builder_amp['review-single']==1){
							global $td_review;
						$meta = get_post_meta(get_the_ID(), 'td_post_theme_settings', true);

						if(class_exists('td_review') && is_single() ){
			
								if (!empty($meta['has_review']) and (
	                					!empty($meta['p_review_stars']) or
	                					!empty($meta['p_review_percents']) or
	                					!empty($meta['p_review_points'])
	            						)
            						) {

									$ratings = td_review::render_stars($meta);
									$ratings_sanitizer = new AMPFORWP_Content( $ratings, array(), 
								apply_filters( 'ampforwp_content_sanitizers',
											array( 
													'AMP_Style_Sanitizer' 		=> array()
												)
											));

									$ratings_desc 		= $ratings_sanitizer->get_amp_content();
									$tables = td_review::render_table($meta);
									$tables_sanitizer = new AMPFORWP_Content( $tables, array(), 
										apply_filters( 'ampforwp_content_sanitizers',
											array( 
												'AMP_Style_Sanitizer' 		=> array()
											)
										));
									$table_desc 		= $tables_sanitizer->get_amp_content();
									echo $ratings_desc;
									echo $table_desc;

								} 
							}
							}
					do_action('ampforwp_after_post_content',$this) ; //Post After Content here ?>
				</div><!-- /.post-content -->
				<?php

				if( is_single() ) { ?>
				 <?php if(class_exists('td_module_single_base') && is_single()){ ?>
						<div class="source-and-via"> <?php
							global $post;
							$td = new td_module_single_base($post); ?>
							<?php echo $td->get_source_and_via(); ?>
						</div> <?php } // Via and Source display when Newspaper by tagdiv is activated?> 
					<?php if($redux_builder_amp['amp-tag']){ ?>
					<div class="tags-list">
						<?php 
		                    $ampforwp_tags=  get_the_terms( $this->ID, 'post_tag' );     
		                    if( $ampforwp_tags ){ ?>
		                    	<ul>
			                    	<li><span>Tags</span></li>
			                    	<?php
			                    	foreach ( $ampforwp_tags as $tag ) {
			                    		echo ('<li><a href="'.trailingslashit( trailingslashit( get_tag_link( $tag->term_id ) ) . 'amp' ) . '" >'.$tag->name .'</a></li>');
			                        } ?>
			                    <ul><?php
		                    }?>    
					</div><!-- /.tags-list --><?php } ?>
					
					<?php if(isset($redux_builder_amp['namp-enable-single-social-bottom']) && $redux_builder_amp['namp-enable-single-social-bottom'] ) { ?> 
					<div class="singlepage-socialicons amp-socialicons">
								<?php $this->load_parts( array( 'social-icons' ) ); ?>			
					</div><!-- /.singlepage-socialicons --> <?php }
				} // is_single() 
			if ( $pagebuilder_check != 'layout-builder') {
				if($redux_builder_amp['namp-enable-single-next-prev'] && !is_page() ) { ?>
				<div class="singlepage-articles">				
					<div class="previous-article">
						<?php $prev_post = get_previous_post();
	                    if (!empty( $prev_post )) { ?>
	                    <span><?php echo ampforwp_translation($redux_builder_amp['amp-theme-translator-previous-article-text'], 'Previous article'); ?></span>
	                    <a href="<?php echo trailingslashit( trailingslashit(get_permalink( $prev_post->ID )) . AMPFORWP_AMP_QUERY_VAR) ; ?>">
	                    	<?php echo $prev_post->post_title; ?>
	                    </a> <?php } ?>
					</div><!-- /.previous-articles -->					
					<div class="next-article">
	               		<?php $next_post = get_next_post();
	                    if (!empty( $next_post )) { ?>
	                    <span><?php echo ampforwp_translation($redux_builder_amp['amp-theme-translator-next-article-text'], 'Next article' ); ?></span> 
	                    <a href="<?php echo trailingslashit( trailingslashit(get_permalink( $next_post->ID )) . AMPFORWP_AMP_QUERY_VAR) ; ?>">
	                    	<?php echo $next_post->post_title; ?>
	                    </a> <?php } ?>
					</div>
				</div> <?php } ?>
				<?php if($redux_builder_amp['author-box-single']) { ?>
				<div class="posted-author">
	    			<?php $post_author = $this->get( 'post_author' );
		            if ( $post_author ) {?>
		               <?php
		                	if ( is_plugin_active('wp-user-avatar/wp-user-avatar.php') ){?>
                              <?php $author_url_image = get_wp_user_avatar_src($post_author->user_email);?>
                              <amp-img src="<?php echo $author_url_image; ?>" width="96" height="96" ></amp-img> 
                               <?php
		                	}
		                	else{?>
		                <?php $author_avatar_url = get_avatar_url( $post_author->user_email, array( 'size' => 100 ) );?>
		                    <amp-img src="<?php echo $author_avatar_url; ?>" width="96" height="96" ></amp-img>
		                    <?php
		                } ?>

		                <div class="posted-author-details">	
		                <span class="author-title"> 
		                <a  class="author-title" href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' )); ?>">
		                <strong><?php echo esc_html( $post_author->display_name ); ?></strong></a>	                	
		                </span>	                 
		                <a class="website-link" href="<?php echo $post_author->user_url;?>">
		                <?php echo $post_author->user_url;?>	
		                </a>
	           	        <p> <?php echo  $post_author->description ; ?></p>
						</div>
		       		 <?php } ?>		
				</div><!-- /.posted-author -->
				<?php } ?>
				<!-- start Related Posts -->
				<?php $this->load_parts( array( 'related-posts' ) );  ?>
				<!-- End Realated Post -->	
				<?php } ?>
			</div><!-- /.singlepage-wrapper -->
		</div><!-- /.amp-wp-content -->	
		<?php $this->load_parts( array( 'comments' ) ); ?>
		<?php do_action('ampforwp_post_after_design_elements'); ?>
	</article>
</main>
<?php do_action( 'amp_post_template_above_footer', $this ); ?>
<?php $this->load_parts( array( 'footer' ) ); ?>
<?php do_action( 'amp_post_template_footer', $this ); ?>
</body>
</html>