<?php
add_action('amp_post_template_css', 'ampforwp_additional_style_custom_design');
function ampforwp_additional_style_custom_design( $amp_template ) {
  global $redux_builder_amp;
  $post_id = get_the_ID();
  $get_customizer = new AMP_Post_Template( $post_id );
  // Get content width
      $sticky_head    = $redux_builder_amp['amp-opt-sticky-head'];
      $search_menu_color =  $redux_builder_amp['amp-opt-color-rgba-search-media']['rgba'];

  $content_max_width       = absint( $get_customizer->get( 'content_max_width' ) );
  // Get template colors
  $header_background_color = $get_customizer->get_customizer_setting( 'header_background_color' );
  $header_color            = $get_customizer->get_customizer_setting( 'header_color' );
  ?>

/* Global Styling */
body{ font: 16px/1.4 Sans-serif; }
a{ color: #312C7E; text-decoration: none }
.clearfix, .cb{ clear: both }
.alignleft{  margin-right: 12px; margin-bottom:5px; float: left; }
.alignright{float:right; margin-left: 12px; margin-bottom:5px; }
.aligncenter{text-align:center; margin: 0 auto }
#statcounter{width: 1px;height:1px;}

/* Template Styles */
.amp-wp-content, .amp-wp-title-bar div {
    <?php if ( $content_max_width > 0 ) : ?>
    max-width: <?php echo sprintf( '%dpx', $content_max_width ); ?>;
    margin: 0 auto;
    <?php endif; ?>
}

/* carousel */

.ampforwp-gallery-item.amp-carousel-slide { padding-bottom: 20px;}
.amp-carousel-slide h1{ font-size: 28px; line-height: 32px; }
.amp-carousel-container {position: relative;width: 100%;height: 100%;} 
.amp-carousel-img img {object-fit: contain;}

/* Slide Navigation code */
amp-sidebar{ width: 100%; }
.amp-sidebar-image{ line-height: 100px; vertical-align:middle; }
.amp-close-image{ top: 15px; left: 225px; cursor: pointer; }

.navigation_heading{ border-bottom: 1px solid rgba(221, 221, 221, 0.30);
<?php if($redux_builder_amp['amp-search-menu-selector']==1 && $redux_builder_amp['opt-search-media']){?> background: rgba(0, 0, 0, 0.50);<?php }?>
  padding: 20px 20px 15px 20px; color: <?php echo $redux_builder_amp['amp-opt-color-rgba-text-search-media']['color']?>; font-size: 10px; text-transform: uppercase; letter-spacing: 1px;  display: inline-block; width: 100%; }
.toggle-navigationv2 ul{ <?php if($redux_builder_amp['amp-search-menu-selector']==1 && $redux_builder_amp['opt-search-media']){?> background: rgba(0, 0, 0, 0.50);<?php }?>  list-style-type: none; margin: 1px 0 0 0; padding: 0; } 

.amp-menu li{position:relative}
.toggle-navigationv2 ul li a:hover{background:#666;color:#fff}
.toggle-navigationv2 ul li a{ padding: 10px 15px 10px 20px; display: inline-block; font-size: 14px; color: <?php echo $redux_builder_amp['amp-opt-color-rgba-text-search-media']['color']?>; width:100% }
.amp-menu li.menu-item-has-children ul{display:none;margin:0;background:#222}
.amp-menu li.menu-item-has-children ul ul{background:#444}
.amp-menu li.menu-item-has-children ul ul ul{background:#666}
.amp-menu li.menu-item-has-children:hover > ul{display:block}
.amp-menu li.menu-item-has-children:after{content:'\25be';position:absolute;padding: 10px 15px 10px 30px;right:0;font-size:18px;color:#ccc;top:0;z-index:10000;line-height:1}

.toggle-navigationv2 .social_icons{     padding: 0px 0px;
    color: #fff;
    width: 100%;
    display: inline-block;
     }
.menu-all-pages-container:after{ content: ""; clear: both }
.toggle-text{ color: #fff; font-size: 12px; text-transform: uppercase; letter-spacing: 3px; display: inherit; text-align: center; }
.toggle-text:before{ content: "..."; font-size: 32px; line-height: 0px; margin-left: 0px; letter-spacing: 1px; top: -3px; position: relative; padding-right: 10px; }
.toggle-navigation:hover, .toggle-navigation:active, .toggle-navigation:focus{ display: inline-block; width: 100%; }

/* Pagination */
<?php if( ! is_singular() ){ ?>
.pagination-holder{ width: 100%;  }
.pagination-holder .next, .pagination-holder .prev{ margin:0px 2% 10px 2%; }
.pagination-holder .next a, .pagination-holder .prev a{
    color: #fff;
    font-size: 14px;
    padding: 15px 0px;
    margin-top: 0px;
    <?php if($redux_builder_amp['amp-homepage-pagination']['rgba']){?>
        background-color: <?php echo $redux_builder_amp['amp-homepage-pagination'] ['rgba'] ?>;
 <?php } else { ?> background-color: #4db2ec; <?php } ?>
       
    width: 100%;
        display: inline-block;
    text-align: center;
            float: left;
    margin-bottom: 15px;
  }
<?php } 
if(is_single()){?>
/* Sticky Social bar in Single */

.sticky_social{ width: 100%; bottom: 0; display: block; left: 0; box-shadow: 0px 4px 7px #000; background: #fff; padding: 7px 0px 0px 0px; position: fixed; margin: 0; z-index: 10; text-align: center; }
.amp-social-icon{ width: 50px; height: 28px; display: inline-block; background: #5cbe4a;position: relative; top: -8px; padding-top: 0px; }
.amp-social-icon amp-img{ top: 4px; }
.custom-amp-socialsharing-icon{ width: 50px; height: 28px; display: inline-block; background: #5cbe4a;position: relative; top: -8px; padding-top: 0px; }
.custom-amp-socialsharing-icon amp-img{ top: 4px; }
.custom-amp-socialsharing-line{background:#00b900}
.sticky_social .whatsapp-share-icon{ padding: 4px 0px 14px 0px; height: 28px; top: -4px; position: relative; }
.sticky_social .line-share-icon{ padding: 4px 0px 14px 0px; height: 28px; top: -4px; position: relative; }
<?php } ?>
/* Header */
/*Sticky Head For Design 3*/

#header{ <?php if($redux_builder_amp['amp-header-bg-color']['rgba']){?>
        background-color: <?php echo $redux_builder_amp['amp-header-bg-color'] ['rgba'] ?>;
 <?php } else { ?> background-color:#000; <?php } ?> text-align: center; height:50px; box-shadow:0 0 32px rgba(0,0,0,.15); }
header{ padding-bottom:50px; }
#headerwrap{ position: fixed; z-index:1000; width: 100%; top:0; }


<?php if($sticky_head) { ?>
  header{ padding-bottom:0px; }
#headerwrap{ position: relative;}
<?php } ?>

#header h1{ text-align: center; font-size: 16px; position: relative; font-weight: bold; line-height: 53px; padding: 0; margin: 0; text-transform: uppercase }

main .amp-wp-content{ font-size: 18px;  color:#111;     line-height: 1.5; }
.single-post main .amp-wp-article-content h1{ font-size:2em}
.single-post main .amp-wp-article-content h1, .single-post main .amp-wp-article-content h2, .single-post main .amp-wp-article-content h3, .single-post main .amp-wp-article-content h4, .single-post main .amp-wp-article-content h5, .single-post main .amp-wp-article-content h6{margin: 0px 0px 5px 0px; line-height: 1.6; }
.home-post_image{ float: left; width:33%; padding-right: 2%; }
.amp-wp-title{ margin-top: 0px; }
h2.amp-wp-title{ font-weight: 700; font-size: 20px; margin-bottom: 7px; line-height: 1.3; }
h2.amp-wp-title a{ color: #000; }
.amp-wp-tags{ list-style-type: none; padding: 0; margin: 0 0 9px 0; display: inline-flex; }
.amp-wp-tags li{ display: inline; background: #F6F6F6; color: #9e9e9e; line-height: 1; border-radius: 50px; padding: 8px 18px; font-size: 12px; margin-right: 8px; top: -3px; position: relative; }
.amp-loop-list{ position:relative; border-bottom: 1px solid #ededed; padding: 25px 15px 25px 15px }
body .amp-loop-list-noimg .amp-wp-post-content{ width:100% }
.amp-loop-list .amp-wp-post-content{ float: left; width: 65%; }
.amp-loop-list .featured_time{ color:#b3b3b3; padding-left:0 }
.amp-wp-post-content p{ line-height: 1.5; font-size: 14px; margin: 8px 0 10px; }
/* Footer */
#footer{ <?php if($redux_builder_amp['footer-bg-color']['rgba']){?>
        background-color: <?php echo $redux_builder_amp['footer-bg-color'] ['rgba'] ?>;
 <?php } else { ?> background-color:#111111; <?php } ?> color: #eee; font-size: 13px; text-align: center; letter-spacing: 0.2px; padding: 35px 0 15px 0; margin-top: 30px; clear: both;}
#footer a{ color:#fff }
#footer p:first-child{ margin-bottom: 12px; }
#footer .social_icons{ margin: 30px 0px 0px 0px; padding-bottom: 25px; }
#footer p, .footer-copyright p{ margin: 0 }
.rightslink, #footer .rightslink a, .footer-copyright .rightslink a{ font-size:13px; color:#999 }
.poweredby{ padding-top:10px; font-size:10px; }
#footer .poweredby a, .footer-copyright .poweredby a{ color:#666 }
.footer_menu ul{ list-style-type: none; padding: 0; text-align: center; margin: 0px 20px 25px 20px; line-height: 27px; font-size: 13px }
.footer_menu ul li{ display:inline; margin:0 10px; }
.footer_menu ul li:first-child{ margin-left:0 }
.footer_menu ul li:last-child{ margin-right:0 }
.footer_menu ul ul{ display:none }
/* Single */
<?php if(is_singular() || $redux_builder_amp['amp-frontpage-select-option'] && ampforwp_get_blog_details() == false ){ ?>
.single-post main{ margin:13px 12px; }
.single-post .amp-wp-article-content .alignleft amp-img { margin-right: 7px; }
.single-post .amp-wp-article-content .alignright amp-img { margin-left: 7px; }
.ampforwp-title{ padding: 0px 0px 0px 0px; margin-top: 12px; margin-bottom: 12px; }
.comment-button-wrapper{ margin-bottom: 50px; margin-top: 30px; text-align:center }
.comment-button-wrapper a{ color: #fff; background: #4db2ec; font-size: 14px; padding: 12px 22px 12px 22px; border-radius: 2px; text-transform: uppercase; letter-spacing: 1px; }
h1.amp-wp-title{ margin: 0; color: #333333; font-size: 48px; line-height: 58px;}
.post-pagination-meta{ min-height:75px }
.single-post .post-pagination-meta{ font-size:15px;min-height:auto; margin-top:-5px; line-height:26px; }
.single-post .post-pagination-meta span{ font-weight:bold }
.single-post .amp_author_area .amp_author_area_wrapper{ display: inline-block; width: 100%; line-height: 1.4; margin-top: 22px; font-size: 16px; color:#333; }
.single-post .amp_author_area amp-img{ margin: 0; float: left; margin-right: 12px; border-radius: 60px; }
.amp-wp-article-tags .ampforwp-tax-tag, .amp-wp-article-tags .ampforwp-tax-tag a{ font-size: 12px; color: #555; margin: 20px 0 0 0; }
.amp-wp-article-tags span{ background: #eee; margin-right: 10px; padding: 5px 12px 5px 12px; border-radius: 3px; }
.ampforwp-social-icons{ margin-bottom: 70px; margin-top: 25px; height: 40px; }
.ampforwp-social-icons amp-social-share{ border-radius:60px; background-size:22px; margin-right:6px; }
.custom-amp-socialsharing-icon-rounded{margin-right:6px;padding: 11px 12px 9px 12px; top: -13px; position: relative; line-height: 1; background: #5cbe4a; display: inline-block; height: inherit; border-radius: 60px; }
.custom-amp-socialsharing-line{background:#00b900}
.amp-wp-tax-tag { list-style: none; display: inline-block; }
figure{ margin: 0 0 20px 0; }
figure amp-img{ max-width:100%; } 
figcaption{ font-family: Verdana,Geneva,sans-serif; text-align: left; margin: 6px 0 26px 0;
    font-size: 11px; font-style: italic; font-weight: normal; line-height: 17px; color: #444; }
.amp-wp-byline amp-img{ display: none; }
.amp-wp-author{ margin-right: 1px; }
.amp-wp-meta, .amp-wp-meta a{ font-size: 13px; color: #acacac; margin: 20px 0px 20px 0px; padding: 0; }
.amp-ad-wrapper{ text-align: center }
.the_content p{ margin-top: 0px; margin-bottom: 30px; }
.amp-wp-tax-tag{ }
main .amp-wp-content.featured-image-content{ padding: 0px; border: 0; margin-bottom: 0; box-shadow: none }
.amp-wp-content .amp-wp-article-featured-image amp-img {margin: 12px auto;}
.archives_body main{ margin-top:20px }
<?php if(is_single()){
 if( $redux_builder_amp['ampforwp-single-select-type-of-related'] ){ ?>
/* Related Posts */
main .amp-wp-content.relatedpost{ background: none; box-shadow: none; padding:0px 0 0 0; margin:1.8em auto 1.5em auto }
.single-post .related_posts h3, .single-post .comments_list h3{ font-size: 20px; color: #777; border-bottom: 1px solid #eee; font-weight: 400; padding-bottom: 1px; margin-bottom: 10px; }
.related_posts ol{ list-style-type:none; margin:0; padding:0 }
.related_posts ol li{    display: inline-block; width: 100%; line-height: 22px; margin-bottom: 12px; padding: 0px; }
.related_link a{ color: #111; font-size: 15px;  font-weight: 500; }
.related_posts ol li amp-img{ width:80px; float:left; margin-right:15px }
.related_posts ol li p{ font-size: 12px; color: #999; line-height: 1.2; margin: 12px 0 0 0; }
.no_related_thumbnail{ padding: 15px 18px; }
.no_related_thumbnail .related_link{ margin: 16px 18px 20px 19px; } .ampforwp_single_excerpt{ margin-bottom: 15px; }
<?php }
}
if( $redux_builder_amp['wordpress-comments-support'] ==1) { ?>
/* Comments */
.page-numbers{ padding: 9px 10px; background: #fff; font-size: 14px; }
.comment-body .comment-content{  margin-top: 2px; }
.single-post .comments_list h3{
    background-color: #222;
    margin: 0;
    color: #fff;
    display: inline-block;
    font-size: 14px;
    line-height: 20px;
    padding: 7px 15px 4px 15px;
    border: 0;
    text-transform: uppercase;
}
.single-post .comments_list > ul{ border-top: 3px solid #222;    padding-top: 12px; }
main .amp-wp-content.comments_list{ background: none; box-shadow: none; padding:0 }
.comments_list div{ display:inline-block; }
.comments_list ul{ margin:0; padding:0 }
.comments_list ul.children{ padding-bottom:10px; margin-left: 3%; width: 96%; }
.comments_list ul li p{ margin:0; font-size:16px; clear:both; padding-top:5px; word-break: break-word;}
.comments_list ul li{ font-size: 12px; list-style-type: none; margin-bottom: 20px; padding-bottom: 20px; max-width: 1000px; border-bottom: 1px solid #eee; }
.comments_list ul ul li{ border-left: 2px solid #eee; padding-left: 15px; border-bottom: 0; padding-bottom: 0px; }
.comments_list ul li .comment-body .comment-author{ margin-right:5px }
.comment-author{ float:left }
.single-post footer.comment-meta{ color:#666; padding-bottom: 0; }
.comment-metadata a{ color:#888 }
.comments_list li li{ margin: 20px 20px 10px 20px; background: #f7f7f7; box-shadow: none; border: 1px solid #eee; }
.comments_list li li li{ margin:20px 20px 10px 20px }
.comment-content amp-img{max-width: 300px;}
<?php } ?>
/* ADS */
.amp_ad_1{ margin-top: 15px; margin-bottom: 10px; }
.single-post .amp_ad_1{ margin-bottom: -15px; }
.amp-ad-2{ margin-bottom: -5px;    margin-top: 20px; }
html .single-post .ampforwp-incontent-ad-1 { margin-bottom: 10px; }
.amp-ad-3{ margin-bottom:10px; }
.amp-ad-4{ margin-top:2px; }
<?php if( $redux_builder_amp['amp-enable-notifications'] == 1 || isset($redux_builder_amp['ampforwp-cta-subsection-notification-sticky']) && $redux_builder_amp['ampforwp-cta-subsection-notification-sticky'] == 1 ){?>
/* Notifications */
#amp-user-notification1 p{ display: inline-block; }
amp-user-notification{ padding: 5px; text-align: center; background: #fff; border-top: 1px solid; }
amp-user-notification button{ padding: 8px 10px; background: #000; color: #fff; margin-left: 5px; border: 0; }
amp-user-notification button:hover{ cursor: pointer }
<?php } ?>
.amp-wp-content blockquote{ background-color: #fff; border-left: 3px solid; margin: 0; padding: 15px 20px; background: #f3f3f3; }
.amp-wp-content blockquote p{ margin-bottom:0 }
pre{ white-space: pre-wrap; }

#designthree{ background-color: #FFF; overflow: visible;
/*    animation: closing .3s normal forwards ease-in-out,closingFix .6s normal forwards ease-in-out;
    -webkit-transform-origin: right center;
    transform-origin: right center;*/
}
<?php }?>
/** -- Index page --**/
.index-page {
    margin-top: 20px;
    width: 100%;
    flex-wrap: wrap;
    display: flex;
}
.block-wrapper{
    width: 46%;
    margin: 0px 2% 3% 2%;
    display: flex;
    flex-direction: column;
}
.block-image{
    margin-bottom: 6px;
}
.block-image a img{
  width:100%;
  height:auto;
}
.block-content .title h3{
    margin: 0; font-size: 21px;
    line-height: 25px;
  font-weight:400;
}
.block-content .title h3 a{
   color:#111;
}
.block-content{
  display:inline-block;
}
.meta-wrapper{
    display: block;
    width: 100%; 
    line-height: 1;
    margin-top: 2px;
}
.block-content .author-info span{
  font-size:11px;
  color:#aaa;
  margin-right:10px;
}
.block-content .author-info .author-title{
  color:#000000;
  font-weight:bold;
}
.block-content .author-info, .block-content .comments {
  display: inline-block;
  vertical-align: middle;
}
.block-content .comments{
  float: right;
}
.block-content .comments{
  background-color: #000;
  color: #fff;
  display: inline-block;
  padding: 3px 4px 4px 5px;
  position: relative;
  font-size: 10px;
  font-weight: 600;
  line-height: 1;
  text-align: center;
}
.block-content .comments:before{
  border-color: #000 transparent transparent;
  border-style: solid;
  border-width: 3px 3px 0 0;
  bottom: -3px;
  content: "";
  height: 0;
  left: 0;
  position: absolute;
  width: 0;
} 
.block-wrapper:hover .block-content .title h3 a{
  color:#4db2ec;
}
.block-content p{
    font-size: 13px;
    color: #777;
    margin: 10px 0 0 0;
}
@media only screen and (max-width: 980px) {
.index-page{
  width:100%;
  padding:0px 15px;
}
}
@media only screen and (max-width: 768px) {
.index-page{
  padding:0;
}
.block-wrapper{
  width:100%;
  padding:0px 15px;
}
 

}

.hamburgermenu{ float:left; position:relative; z-index: 9999; }
/* Category 3 */
.amp-category-block{ margin: 30px 0px 10px 0px }
.amp-category-block a{ color:#666}
.amp-category-block ul{ list-style-type:none}
.category-widget-gutter h4{ margin-bottom: 0px;}
.category-widget-gutter ul{ margin-top: 10px; list-style-type:none; padding:0 }
.amp-category-block-btn{ display: block; text-align: center; font-size: 13px; margin-top: 15px; border-bottom: 1px solid #f1f1f1; text-decoration: none; padding-bottom: 8px;}
.design_2_wrapper .amp-category-block{ max-width: 840px; margin: 1.5em auto; }
.amp-category-block ul, .category-widget-wrapper{ max-width: 1000px; margin: 0 auto; padding:0px 15px 5px 15px }
.amp-category-post{ width: 32%; display:inline-table; }
.amp-category-post amp-img{ margin-bottom:5px; }
.amp-category-block li:nth-child(3){ margin: 0 1%; }
.searchmenu{ margin-right: 15px; margin-top: 11px; position: absolute; top: 0; right: 0; }
.searchmenu button{ background:transparent; border:none }
.headerlogo{ margin: 0 auto; width: 80%; text-align: center; }
.headerlogo a{ color:#fff; }
.headerlogo amp-img{ margin-top:6px }
/*Navigation Menu*/
.toast { display: block; position: relative; height: 50px; padding-left: 20px; padding-right: 15px; width: 49px; background:none; border:0 }
.toast:after, .toast:before, .toast span{ position: absolute; display: block; width: 19px; height: 2px; border-radius: 2px; background-color: <?php echo $redux_builder_amp['amp-header-icon-color']['color']; ?>; -webkit-transform: translate3d(0, 0, 0) rotate(0deg); transform: translate3d(0, 0, 0) rotate(0deg); }
.toast:after, .toast:before{ content: ''; left: 20px; -webkit-transition: all ease-in .4s; transition: all ease-in .4s; }
.toast span{ opacity: 1; top: 24px; -webkit-transition: all ease-in-out .4s; transition: all ease-in-out .4s; }
.toast:before{ top: 17px; }
.toast:after{ top: 31px; }
#sidebar[aria-hidden="false"]+#designthree .toast span{ opacity: 0; -webkit-transform: translate3d(200%, 0, 0); transform: translate3d(200%, 0, 0); }
#sidebar[aria-hidden="false"]+#designthree .toast:before{ -webkit-transform-origin: left bottom; transform-origin: left bottom; -webkit-transform: rotate(43deg); transform: rotate(43deg); }
#sidebar[aria-hidden="false"]+#designthree .toast:after{ -webkit-transform-origin: left top; transform-origin: left top; -webkit-transform: rotate(-43deg); transform: rotate(-43deg); }

/* CSS3 icon */
[class*=icono-]{ display: inline-block; vertical-align: middle; position: relative; font-style: normal; color: <?php echo $redux_builder_amp['amp-header-icon-color']['color']; ?>; text-align: left; text-indent: -9999px; direction: ltr }
[class*=icono-]:after, [class*=icono-]:before{ content: ''; pointer-events: none; }
.icono-search{ -webkit-transform: translateX(-50%); -ms-transform: translateX(-50%); transform: translateX(-50%) }
.icono-share{ height: 9px; position: relative; width: 9px; color: #dadada; border-radius: 50%; box-shadow: inset 0 0 0 32px, 22px -11px 0 0, 22px 11px 0 0; top: -15px; margin-right: 35px; }
.icono-share:after, .icono-share:before{ position: absolute; width: 24px; height: 1px; box-shadow: inset 0 0 0 32px; left: 0; }
.icono-share:before{ top: 0px; -webkit-transform: rotate(-25deg); -ms-transform: rotate(-25deg); transform: rotate(-25deg); }
.icono-share:after{ top: 8px; -webkit-transform: rotate(25deg); -ms-transform: rotate(25deg); transform: rotate(25deg); }
.icono-search{ border: 1px solid; width: 10px; height: 10px; border-radius: 50%; -webkit-transform: rotate(45deg); -ms-transform: rotate(45deg); transform: rotate(45deg); margin: 4px 4px 8px 8px; }
.icono-search:before{ position: absolute; left: 50%; -webkit-transform: rotate(270deg); -ms-transform: rotate(270deg); transform: rotate(270deg); width: 2px; height: 9px; box-shadow: inset 0 0 0 32px; top: 0px; border-radius: 0 0 1px 1px; left: 14px; }
.closebutton{ background: transparent; border: 0; color: rgba(255, 255, 255, 0.7); border-radius: 30px; width: 32px; height: 32px; font-size: 18px; text-align: center; position: absolute; font-weight: normal; top: 12px; right: 20px; outline: none;}

.searchform label{ color: #f7f7f7; display: block; font-size: 10px; letter-spacing: 0.3px; line-height: 0; opacity:0.6 }
.searchform{     background: rgba(0, 0, 0, 0.50);
    padding-top: 30vh;
    position: absolute;
    top: 0;
    height: 100vh;
    width: 100%;
    max-width: 100%;
    transition-delay: 0.5s; }
.searchform input{ background: transparent; border: 1px solid #666; color: #f7f7f7; font-size: 14px; font-weight: 400; line-height: 1; letter-spacing: 0.3px;  padding: 20px 0px 20px 30px; margin-top: 15px; width: 100%; }
#searchform .search-form > span
{
  text-align: center;
    width: 100%;
    display: block; 
    font-size: 12px;
    color: #fff;
    font-weight: bold;
}
#s{
    color: #fff;
    font-weight: bold;
    font-size: 26px;
    height: 40px;
    line-height: 36px;
    outline: 0;
    margin: 8px 0;
    padding: 0;
    text-align: center;
    width: 100%;
    letter-spacing: 0.3px;
    background: transparent;
    border: 0;
    border-bottom: 1px solid;
}
#searchsubmit{opacity:0} 
.background:before {background: rgba(0, 0, 0,0.85); content:""}

<?php if($redux_builder_amp['amp-search-menu-selector']){?>
.background { 
    <?php if($redux_builder_amp['amp-search-menu-selector']==1 && $redux_builder_amp['opt-search-media']){?>
    background-image: url("<?php echo $redux_builder_amp['opt-search-media']['url']?>");
   <?php } elseif($redux_builder_amp['amp-search-menu-selector']==2 && $redux_builder_amp['amp-opt-color-rgba-search-media']) { ?> background: <?php echo $redux_builder_amp['amp-opt-color-rgba-search-media']['rgba'];?>; <?php }
     else{?> background: rgba(0, 0, 0, 0.50); <?php } ?> 
    background-repeat: no-repeat;
    background-size: cover;
    display: block;
    background-position: center;
    overflow: overlay;
    height: 100vh;
    z-index: 9999;}
<?php }?>

.featured_title{ position:absolute; z-index:110; bottom:0 }
.featured_time{ font-size: 12px; color: #fff; opacity: 0.8; padding-left: 20px; }
.featured_meta{ color:#acacac; font-size:12px; margin:0 15px; }
.featured_meta_left{ float:left }
.featured_meta_right{ float:right }

<?php 
if( is_singular() || is_home() && $redux_builder_amp['amp-frontpage-select-option'] && ampforwp_get_blog_details() == false ) { ?>
/* Tables */
table { display: -webkit-box; display: -ms-flexbox; display: flex; -ms-flex-wrap: wrap; flex-wrap: wrap; overflow-x: auto; }
table a:link { color: #666; font-weight: bold; text-decoration: none; }
table a:visited { color: #999999; font-weight: bold; text-decoration: none; }
table a:active, table a:hover { color: #bd5a35; text-decoration: underline; }
table { color: #666; font-size: 12px; text-shadow: 1px 1px 0px #fff; background: #eee; margin: 0px; width: 100%; }
table th { padding: 21px 25px 22px 25px; border-top: 1px solid #fafafa; border-bottom: 1px solid #e0e0e0; background: #ededed; background: -webkit-gradient(linear, left top, left bottom, from(#ededed), to(#ebebeb)); background: -moz-linear-gradient(top, #ededed, #ebebeb); }
table th:first-child { text-align: left; padding-left: 20px; }
table tr:first-child th:first-child { -moz-border-radius-topleft: 3px; -webkit-border-top-left-radius: 3px; border-top-left-radius: 3px; }
table tr:first-child th:last-child { -moz-border-radius-topright: 3px; -webkit-border-top-right-radius: 3px; border-top-right-radius: 3px; }
table tr { text-align: center; padding-left: 20px; }
table td:first-child { text-align: left; padding-left: 20px; border-left: 0; }
table td { padding: 18px; border-top: 1px solid #ffffff; border-bottom: 1px solid #e0e0e0; border-left: 1px solid #e0e0e0; background: #fafafa; background: -webkit-gradient(linear, left top, left bottom, from(#fbfbfb), to(#fafafa)); background: -moz-linear-gradient(top, #fbfbfb, #fafafa); }
table tr.even td { background: #f6f6f6; background: -webkit-gradient(linear, left top, left bottom, from(#f8f8f8), to(#f6f6f6)); background: -moz-linear-gradient(top, #f8f8f8, #f6f6f6); }
table tr:last-child td {border-bottom: 0;}
table tr:last-child td:first-child { -moz-border-radius-bottomleft: 3px; -webkit-border-bottom-left-radius: 3px; border-bottom-left-radius: 3px; }
table tr:last-child td:last-child { -moz-border-radius-bottomright: 3px; -webkit-border-bottom-right-radius: 3px; border-bottom-right-radius: 3px; }
table tr:hover td { background: #f2f2f2; background: -webkit-gradient(linear, left top, left bottom, from(#f2f2f2), to(#f0f0f0)); background: -moz-linear-gradient(top, #f2f2f2, #f0f0f0); }
<?php } ?>

/* Responsive */
@media screen and (min-width: 650px) { table {display: inline-table;} }
@media screen and (max-width: 768px){ .amp-wp-meta{ margin:10px 0px 15px 0px } .home-post_image{ width: 40%; } .amp-loop-list .amp-wp-post-content{ width: 58%; } .amp-loop-list .featured_time{line-height:1} .single-post main .amp-wp-content h1{  line-height:1.4;  font-size: 30px;} }
@media screen and (max-width: 600px){ .amp-loop-list .amp-wp-tags{display:none}
.alignleft, alignright, alignnone{max-width:100%;width:100%}
}
@media screen and (max-width: 530px){ .home-post_image{ width: 35%; } .amp-loop-list .amp-wp-post-content{ width: 63%; } .amp-wp-post-content p { font-size: 12px; } .related_posts ol li p { line-height: 1.6; margin: 7px 0 0 0;} .comments_list ul li .comment-body {width:auto} .amp-category-block li:nth-child(3) {margin:0} }
@media screen and (max-width: 425px){  h2.amp-wp-title{    margin-bottom: 7px;  line-height: 1.31578947; font-size: 19px; position:relative;top:-3px } h2.amp-wp-title a{ color:#262626} .amp-loop-list{padding:25px 15px 22px 15px} .amp-loop-list .amp-wp-post-content{ width: 63%; } .amp-loop-list .amp-wp-post-content p, .related_posts .related_link p{ display:none }   .ampforwp-tax-category{ padding-bottom:0 } .amp-wp-byline{ padding:0 } .single-post main .amp-wp-content h1{ line-height: 1.3; font-size: 26px;} .icono-share{display:none} .ampforwp-social-icons amp-social-share{ margin-right: 3px;} main .amp-wp-content{ font-size: 16px; line-height: 26px;} .single-post .amp_author_area .amp_author_area_wrapper{font-size:13px;} .amp-category-post{ font-size:12px; color:#666 } }
@media screen and (max-width: 400px){ .amp-wp-title{ font-size: 19px; } }
@media screen and (max-width: 375px){ .single-post main .amp-wp-content h1{ line-height: 1.3; font-size: 24px;} .home-post_image{ height: 79px; } #pagination .next a, #pagination .prev a{ color: #fff; font-size: 14px; padding: 15px 0px; margin-top: -5px; } .related_posts h3, .comments_list h3{ margin-top:15px; } #pagination .next{ margin-bottom:15px; }   }
@media screen and (max-width: 340px){ .single-post main .amp-wp-content h1{ line-height: 1.3; font-size: 22px;} .amp-loop-list{ padding: 20px 15px 18px 15px; } h2.amp-wp-title{ line-height: 1.31578947; font-size: 17px; }  .the_content .amp-ad-wrapper{ text-align: center; margin-left: -13px; } }
@media screen and (max-width: 320px){  .ampforwp-social-icons amp-social-share{ margin-right: 1px; } }
.entry-content amp-anim{display:table-cell;}
<?php if($redux_builder_amp['amp-rtl-select-option'] == true) { ?>
/* RTL Start */

.featured_time{ text-align: right; padding-right: 20px; }
main .amp-wp-content{ direction: rtl; }
.home-post_image{ float: right; padding-right: 0%; padding-left: 2%; margin-right: 0%; }
.searchmenu{ margin-right: 15px; margin-top: 11px; position: absolute; top: 0; right: inherit; }
.searchform label{ text-align: right; right: -30px; position: relative; }
.searchform input{ text-align: right; padding: 15px; }
.closebutton{ left:20px; }
.hamburgermenu{ float: right; }
.toast{ display: block; position: relative; height: 50px; padding-left: 20px; padding-right: 15px; width: 60px; background: none; border: 0; }
.amp-ad-wrapper{ direction: ltr; }
/* RTL single */

.related_posts ol li amp-img{ float: right; margin-left: 15px; }
.single-post .amp_author_area amp-img{ float: right; margin-left: 12px; }
.amp-wp-article, .footer_wrapper container{ direction: rtl; }
.single-post .post-pagination-meta span{ float: right; }
.amp-wp-article-tags span{ background: #eee; margin-right: 10px; padding: 5px 12px 5px 12px; border-radius: 3px; display: inline-block; margin: 5px; }
.amp_author_area_wrapper strong{ float: right; }

/* RTL End */
<?php } ?>

/* Style Modifer */


.amp-wp-content blockquote { border-color:  <?php echo sanitize_hex_color( $header_background_color ); ?>; }
<?php if( $redux_builder_amp['enable-single-social-icons'] == true && is_socialshare_or_socialsticky_enabled_in_ampforwp() && ! is_home() )  { ?>
.single-post footer { padding-bottom: 41px;}
<?php } ?>
.single-post amp-img.alignleft, amp-anim.alignleft{ margin-right: 15px; margin-bottom:5px; float: left;}
.single-post amp-img.alignright, amp-anim.alignright{ float:right; margin-left: 15px; margin-bottom:5px;}
.single-post amp-img.aligncenter, amp-anim.aligncenter{ text-align:center; margin: 0 auto; max-width:100%}
.amp-wp-author:before{ content: " <?php global $redux_builder_amp; echo ampforwp_translation($redux_builder_amp['amp-translator-published-by'], 'Published by' );?>  ";}
.ampforwp-tax-category span:last-child:after { content: ' ';}
.ampforwp-tax-category span:after{ content: ', ';}
.amp-wp-article-content img { max-width: 100%;}
/* Social icons */
@font-face {
font-family: 'Roboto';
font-style: normal;
font-weight: 400;
src:  local('Roboto'), local('Roboto-Regular'), url('<?php echo plugin_dir_url(__FILE__) ?>fonts/Roboto-Regular.ttf');
}
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 500;
src:  local('Roboto Medium'), local('Roboto-Medium'), url('<?php echo plugin_dir_url(__FILE__) ?>fonts/Roboto-Medium.ttf');
}
@font-face {
  font-family: 'Roboto';
  font-style: normal;
  font-weight: 700;
  src: local('Roboto Bold'), local('Roboto-Bold'), url('<?php echo plugin_dir_url(__FILE__) ?>fonts/Roboto-Bold.ttf');
}
@font-face {
  font-family: 'icomoon';
  src:  url('<?php echo plugin_dir_url(__FILE__) ?>fonts/icomoon.eot?b9qrme');
  src:  url('<?php echo plugin_dir_url(__FILE__) ?>fonts/icomoon.eot?b9qrme#iefix') format('embedded-opentype'),
    url('<?php echo plugin_dir_url(__FILE__) ?>fonts/icomoon.ttf?b9qrme') format('truetype'),
    url('<?php echo plugin_dir_url(__FILE__) ?>fonts/icomoon.woff?b9qrme') format('woff'),
    url('<?php echo plugin_dir_url(__FILE__) ?>fonts/icomoon.svg?b9qrme#icomoon') format('svg');
  font-weight: normal;
  font-style: normal;
}

[class^="icon-"], [class*=" icon-"]{ font-family: 'icomoon'; speak: none; font-style: normal; font-weight: normal; font-variant: normal; text-transform: none; line-height: 1;

  /* Better Font Rendering =========== */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.icon-twitter:before { content: "\f099";}
.icon-facebook:before{ content: "\f09a"; }
.icon-facebook-f:before{ content: "\f09a"; }
.icon-pinterest:before{ content: "\f0d2"; }
.icon-google-plus:before{ content: "\f0d5"; }
.icon-linkedin:before{ content: "\f0e1"; }
.icon-youtube-play:before{ content: "\f16a"; }
.icon-instagram:before{ content: "\f16d"; }
.icon-tumblr:before{ content: "\f173"; }
.icon-vk:before{ content: "\f189"; }
.icon-whatsapp:before{ content: "\f232"; }
.icon-reddit-alien:before{ content: "\f281"; }
.icon-snapchat-ghost:before{ content: "\f2ac";  }
.social_icons{ font-size: 15px; display: inline-block; }
.social_icons ul{ list-style-type:none; padding:16px;margin:0; text-align:center }
.social_icons li{ box-sizing: initial; display:inline-block; margin:5px; color: <?php echo $redux_builder_amp['amp-opt-color-rgba-text-search-media']['color']?>; }
.footer_wrapper .social_icons li{ color: #ffffff; }
#ampsomething { display: none; }

body{ font-family: 'Roboto', sans-serif;}
<?php $sidebar_check = get_post_meta( get_the_ID(),'ampforwp_custom_sidebar_select',true); 
    if ( $redux_builder_amp['ampforwp-content-builder'] ) { ?>
.trending-wrapper { margin-bottom: 10px; text-align: center; line-height: 17px;}
.amp-textslider{    margin-top: 7px; height: 22px;overflow: hidden;}
.trending-title {padding: 5px 10px 4px 10px; background: #222222; display:inline-block; text-align:center; color:#fff;  text-transform: uppercase; font-size: 12px; line-height:16px;}
.amp-carousel-button {display: none;}
.trendingtext-slider a {color: #111; font-size: 14px; line-height: 20px;}
 

/* categories-section-1 */
.category-block-1{margin-bottom: 0px;    display: flow-root;}
.category-block-1, .category-block-2{margin: 0 auto 20px auto; max-width: 500px; }
.big-post-wrapper .big-post, .big-post-wrapper .big-post-img, .small-post-wrapper .small-post, .small-post-wrapper .small-post-img {position: relative; }
.category-block-1 .big-post-wrapper .big-post{ margin-bottom:2px; }
.category-block-1 .big-post-wrapper .big-post-content {    bottom: 14px;
    left: 13px;
    position: absolute;
    right: 0;
    top: auto;}
.big-post-content ul {
  padding:0;
 margin-bottom: auto;
}
.big-post-content ul li{
  list-style:none;
  display:inline-block;
  margin-right:5px;
}
.big-post-content ul li a{
    font-size: 10px;
    text-transform: uppercase;
    padding: 4px 7px;
    background-color: rgba(0,0,0,.7);
    color: #fff;
}
.category-block-1 .big-post-content h3{line-height:28px; margin:0}
.category-block-1 .big-post-content h3 a{color: #fff; font-size: 22px; font-weight:500}
.category-block-1 .big-post-content > a {color:#ffffff; background-color:rgba(0, 0, 0, 0.7); font-size:10px; font-weight:500; line-height:13px; padding: 3px 7px; margin: 0 0 5px; text-transform: uppercase;}
.category-block-1 .big-post-wrapper .big-post-content .author-info .author-name a{ font-size: 11px; line-height: 1; color:#fff; font-weight:500; display:inline-block;}
.category-block-1 .big-post-wrapper .big-post-content .author-info { font-size: 11px; line-height: 1; cursor: pointer; margin-top: 6px; color:#fff}
.category-block-1 .big-post-wrapper .big-post-content .author-info span{color:#fff;}
.category-block-1 .author-name{font-weight:500}
.category-block-1 .small-post-wrapper{ font-size: 13px; line-height: 18px; font-weight: 500;}
.category-block-1 .small-post-wrapper .small-post {float: left; width: 49.75%; margin-bottom:2px;}
.category-block-1 .small-post-wrapper .small-post-content { 
    margin: 5px 8px;bottom: 0; position: absolute; }
.category-block-1 .small-post-wrapper a {color: #fff; }
.category-block-1 .small-post-wrapper .small-post:nth-child(even){float:right; width:49.76%;}
.category-block-1 .small-post-wrapper .small-post-img a:after, .category-block-1 .big-post-wrapper .big-post-img a:after{ background: rgba(0, 0, 0, 0) linear-gradient(to bottom, rgba(0, 0, 0, 0) 40%, rgba(0, 0, 0, 0.9) 100%) repeat scroll 0 0; bottom: 0; content: ""; height: 100%; opacity: 0.9; position: absolute; width: 100%; }
/* category-section-2 */
.category-block-2 .category-block-2-title{ margin:0px 0px 2px 0px; border-bottom-width: 3px;
    border-bottom-style: solid;
  } 
.category-block-2 .category-block-2-title span{      
    color: #fff;
    font-size: 14px;
    padding: 3px 15px 0px 15px;
    text-transform: uppercase;
    display: inline-block;
    line-height: 25px;}
.category-block-2 .big-post-wrapper{margin-bottom:25px;}
.category-block-2 .big-post-wrapper .big-post h3{    font-size: 21px;
    line-height: 25px;
    margin: 9px 0px 0px;
    font-weight: 400;}
.category-block-2 .big-post-wrapper .big-post h3 a, .category-block-2 .small-post-wrapper .small-post h4 a{color:#111; transition: color 0.2s cubic-bezier(0, 0, 0.58, 1) 0s; }
.category-block-2 .big-post-wrapper .big-post:hover h3 a, .category-block-2 .small-post-wrapper .small-post:hover h4 a{color:#e29c04; }
.category-block-2 .big-post-wrapper .big-post p{    font-size: 13px;
    color: #777;
    line-height: 18px;
    margin: 1px 0px 0px 0px;}
.category-block-2 .small-post-wrapper .small-post > a {float: left; margin-right: 11px; width: 30%;}
.category-block-2 .small-post-wrapper .small-post h4 {font-size: 14px; line-height: 20px; margin:0; font-weight:500;}
.category-block-2 .small-post-wrapper .small-post{    margin-bottom: 0px;
    margin-top: 10px;
    display: inline-block;
    width: 100%;}
.category-block-2 {clear: both; padding: 0; }
.category-block-2 .big-post-wrapper .big-post .author-info .author-name { color: #000; font-size: 11px; font-weight: bold; line-height: 15px; display: inline-block;}
.category-block-2 .big-post-wrapper .big-post .author-info .posted-date, .category-block-2 .small-post-wrapper .small-post .posted-date {color: #aaa; font-size:11px; line-height:15px;}
.category-block-2 .big-post-wrapper .big-post .author-info { position: relative; top: -3px;display:inline-block;}
.category-block-2 .big-post-wrapper .big-post .author-info .posted-date { display: inline-block; padding-left: 10px; }
.category-block-2 .big-post-wrapper .big-post .comments { float: right; font-size:10px; font-weight:500; text-align:center; line-height:11px;}
.category-block-2 .big-post-wrapper .big-post .comments a{ background-color: #000; color: #fff; display: inline-block; min-width: 8px; padding: 3px 4px 4px 5px; position: relative;}
.category-block-2 .big-post-wrapper .big-post .comments a::after { border-color: #000 transparent transparent; border-style: solid; border-width: 3px 3px 0 0; bottom: -3px; content: ""; height: 0; left: 0; position: absolute; width: 0; }
.big-post-wrapper .big-post .big-post-img a{ display: block;}
.small-post-wrapper .small-post .small-post-img a { display: block;}
<?php }?>

/* footer-part */
.footer-part-1 { padding: 0 10px;}
.footer-title h3, .social-icons-title{font-size: 18px; font-weight: 700; text-transform:uppercase; }
.footer-part-content { margin-top: 40px; color:#fff; }
.footer-part-content  .footer-content{font-size:14px; line-height:21px; max-width:500px; margin:0 auto;}
.footer-part-content  .footer-content a{text-decoration:none; margin-right:5px;}
.footer-email {padding-top:20px; font-size:14px; line-height:21px; }
.footer-email > a{ color:#4db2ec; padding-left:5px;}
.footer-part-1 .social_icons ul {margin-top:20px;}
.hide-footer-content-info{ display:none; }
.footer-part-1 .social_icons ul a{background-color: rgba(255, 255, 255, 0.03); font-size: 14px; height: 40px; line-height: 40px; position: relative; width: 40px; padding:10px; }
.footer-part-1 .social_icons ul a::after { content: "";  position: absolute; }
.footer-part-1 .social_icons ul a{
    border: 1px solid rgba(221, 221, 221, 0.1);margin-right:10px;}
.footer-part-1 .social_icons ul a:last-child, .footer-part-2 .footer-menu ul li:last-child{margin-right:0;}
.footer-part-2 { <?php if($redux_builder_amp['footer-bg-color']['rgba']){?>
        background-color: <?php echo $redux_builder_amp['footer-bg-color'] ['rgba'] ?>;
 <?php } else { ?> background-color:#0d0d0d; <?php } ?> padding:15px 10px;}
.footer-copyright {letter-spacing: 0.2px; text-align: center; padding-top:15px;}
.footer-menu ul{padding-left:0; margin:0;}
.footer-menu ul li{display:inline-block; list-style:none; margin-right: 16px;} 
.footer-menu ul li a{font-size:12px; color: #ccc; display: inline-block; line-height: 18px; }
.footer-menu {text-align: center;}

/* single page */
.single-post .singlepage-wrapper .post-content amp-img{max-width:100%}
<?php 
if( !is_home() && $redux_builder_amp['ampforwp-bread-crumb'] == 1 ) { ?>
.breadcrumb{line-height: 1;margin-bottom:12px;}
.breadcrumb ul, .category-single ul{
  padding:0; margin:0;
}
.breadcrumb ul li{
  display:inline;
}
.breadcrumb ul li a{
  color:#c3c3c3;
  font-size:12px;
}
.breadcrumb ul li a::after {
    content: "►";
    display: inline-block;
    font-size: 6px;
    padding: 0 6px 0 7px;
    vertical-align: middle;
    opacity: 0.5;
}
.breadcrumb ul li:hover a::after{
  color:#c3c3c3;
}
.breadcrumb ul li:last-child a::after{
  display:none;
}
<?php } ?> 
.amp-wp-content .singlepage-wrapper .page-title h1 {
  font-size: 32px;
text-align:left; 
  font-weight: normal;
  line-height: 36px;
  margin: 0;
}
.singlepage-wrapper .author-info{
    font-size: 11px;
    line-height: 15px;
    margin-top: 10px;
}
.singlepage-wrapper .author-info span{
  color:#444;
}
.singlepage-wrapper .author-info a{
  color:#000;
  font-weight:bold;
  padding-right:5px
}
.singlepage-wrapper .author-info .post-date{
  padding-left:5px;
}<?php  if( ! is_page() && ! is_home() ) {?>
.singlepage-socialicons amp-social-share {
  background-size: 22px auto;
  border-radius: 2px;
  margin-right:9px;
}
.singlepage-socialicons .custom-amp-socialsharing-icon-rounded {
  border-radius: 3px;
  padding:11px 12px 12px 12px;
}
.singlepage-socialicons {
    margin: 20px 0px 0px 0px;
    text-align: center;
    display: inline-block;
    width: 100%;
} <?php  } ?>
.singlepage-wrapper .post-image figcaption{
  background-color:#fff;
}
.post-content h3{
  font-size:22px;
  line-height:30px;
}
.post-content p, .post-content ul li{
  font-size:16px;
  line-height:24px;
  color:#111;
}
.singlepage-wrapper .post-content p a {
  color: <?php echo $redux_builder_amp['amp-theme-anchor-link-color'] ['color'] ?>;
}
.singlepage-wrapper .post-content p a:hover{
  border-bottom:2px solid #4db2ec;
}
.singlepage-wrapper .post-content ul li{
  position:relative;
}
.amp-wp-content .singlepage-wrapper .post-content blockquote{
  background: transparent none repeat scroll 0 0;
  border-left:none;
  padding:0;
}
.amp-wp-content .singlepage-wrapper .post-content blockquote p{
     color: #4db2ec;
    font-size: 22px;
    font-style: italic;
    font-weight: 400;
    line-height: 30px;
    text-align: center;
    text-transform: uppercase;
}
 .td-post-small-box {
    margin-bottom: 5px;
}
.amp-wp-content .singlepage-wrapper .tags-list span, .td-post-small-box span{
    background-color: #222;
    color: #fff;
    font-size: 10px;
    padding: 3px 9px 3px 9px; 
    text-transform: uppercase;
    margin-right: 6px;
}
.amp-wp-content .singlepage-wrapper .tags-list ul {
  display: inline-block;
  margin: 0;
  padding: 0;
  vertical-align: middle;
}
.amp-wp-content .singlepage-wrapper .tags-list ul li{
  display:inline-block;
}
.amp-wp-content .singlepage-wrapper .tags-list ul li a, .td-post-small-box a{
  font-size:11px;
  line-height:16px;
  color: #111;
  border: 1px solid #ededed;
  padding: 2px 8px;
  margin: 2px;
}
.amp-wp-content .singlepage-wrapper .tags-list ul li:hover a, .td-post-small-box:hover a{
  background-color: #4db2ec;
    border-color: #4db2ec;
    color: #fff;
}
.amp-wp-content amp-iframe {
    max-width: 100%;
}
.singlepage-wrapper .amp-socialicons amp-social-share {
  background-size: 20px auto;
  border-radius: 0px;
}
.singlepage-wrapper .amp-socialicons .custom-amp-socialsharing-icon-rounded amp-img{
  vertical-align:middle;
}
.singlepage-wrapper .amp-socialicons .custom-amp-socialsharing-icon-rounded {
    border-radius: 0;
    padding: 10px 11px 12px 10px;
    position: relative;
    top: -17px;
}
.singlepage-wrapper .amp-socialicons {
  border: 1px solid #ededed;
  padding: 25px 0 10px 0;
}
.singlepage-articles, .posted-author{
    display: inline-block;
    width: 100%;
}
.singlepage-articles{
  margin:10px 0px 30px 0px;
}
.singlepage-articles .previous-article, .singlepage-articles .next-article{
  float:left;
  width:50%;
}
.singlepage-articles .previous-article span, .singlepage-articles .next-article span{
   color: #c1c1c1;
    display: block;
    font-size: 12px;
    margin-bottom: 7px;
}
.previous-article a, .next-article a{
   color: #222;
    display: block;
    font-size: 15px; 
    line-height: 21px;
}
.singlepage-articles .next-article{
  text-align:right;
}
.posted-author{
  text-align:center;
  padding:20px 0px;
  border: 1px solid #ededed;
}
.posted-author > a {
  display:block;
  line-height: 0;
}
.posted-author-details {
  margin-top: 15px;
  padding:0px 20px;
}
.posted-author-details .author-title{
  display:block;
}
.posted-author-details .author-title a{
  color:#222;
  font-size: 15px;
    font-weight: bold;
    line-height: 21px;
}
.posted-author-details .author-title a:hover, .posted-author .posted-author-details a:hover{
  color:#4db2ec;
}
.posted-author .website-link{
    font-size: 11px;
    font-style: italic;
    line-height: 21px;
    color:#222;
}
.posted-author-details p{
    font-size: 14px;
    line-height: 1.5;
    margin: 3px 0 0px 0;
}
.releated-article {
    margin: 20px 0px 5px 0px;
    width: 100%;
    display: inline-block;
}
.releated-article-title span {
  background-color: #222;
  color: #fff;
  display: inline-block; 
  font-size: 14px;
  line-height: 18px;
  padding: 7px 15px 4px 15px;
  text-transform: uppercase;
}
.releated-article-title {
    border-bottom: 3px solid #222;
    margin: 10px 0 12px;
}
.releated-article .post-image{
  display: inline-block;
  float: left;
  line-height: 0;
  margin-right:10px;
  width:26%;
}
.releated-article .releated-articles-post .post-image:hover h4 a{
  color:red;
}
.releated-article h4{
  margin:0;
}
.releated-article .releated-articles-post {
  clear: both;
  float: left;
  width: 100%;
  margin-bottom:20px;
}
.releated-article h4 a{
  color:#222;
  font-size: 17px;
    line-height: 23px; 
}
.category-single{margin-bottom: 6px;line-height:1}
.category-single ul li{
    list-style: none;
    display: inline-block;
    margin: 4px 5px 1px 0px;
    line-height: 0;
}
.category-single ul li a{
    text-decoration: none;
    font-size: 10px;
    line-height: 16px;
    padding: 3px 6px 3px 6px;
    background-color: #000;
    color: #fff;
}
<?php if( !has_nav_menu( 'amp-menu' ) ) { ?>
.toggle-navigationv2 .social_icons { border-top: 0px; }
.toggle-navigationv2 a { color:#fff; }
<?php } ?>
<?php if ($redux_builder_amp['ampforwp-callnow-button']) { ?>
.callnow{ position: relative; top: -37px; right: 39px }
.callnow a:before { content: ""; position: absolute; right: 23px; width: 4px; height: 8px; border-width: 6px 0 6px 3px; border-style: solid; background: transparent; transform: rotate(-30deg); box-sizing: initial; border-top-left-radius: 3px 5px; border-bottom-left-radius: 3px 5px; }
<?php } ?>
<?php
if ( class_exists('TablePress') ) { ?>
.tablepress-table-description{ clear: both; display: block; }
.tablepress{ border-collapse: collapse; border-spacing: 0; width: 100%; margin-bottom: 1em; border: none; }
.tablepress th, .tablepress td{ padding: 8px; border: none; background: none; text-align: left; }
.tablepress tbody td{ vertical-align: top; }
.tablepress tbody td, .tablepress tfoot th{ border-top: 1px solid #dddddd; }
.tablepress tbody tr:first-child td{ border-top: 0; }
.tablepress thead th{ border-bottom: 1px solid #dddddd; }
.tablepress thead th, .tablepress tfoot th{ background-color: #d9edf7; font-weight: bold; vertical-align: middle; }
.tablepress .odd td{ background-color: #f9f9f9; }
.tablepress .even td{ background-color: #ffffff; }
.tablepress .row-hover tr:hover td{ background-color: #f3f3f3; }
@media (min-width: 768px) and (max-width: 1600px){ .tablepress{ overflow-x: none; } }
@media (min-width: 320px) and (max-width: 767px){ .tablepress{ display: inline-block; overflow-x: scroll; } }
<?php }  ?>p.wp-caption-text {text-align: center;font-size: 11px;line-height: 1.4;margin: 6px 0 0 0;}.page-title{text-align:center}
<?php if($redux_builder_amp['review-single']==1){?>.td-review{font-size:14px;color:#111}.td-review-stars{color:#222}i.td-icon-star:before{content:'\2605';font-style:normal;position:relative;top:1px}i.td-icon-star-half:before{content:'\2605';font-style:normal;position:relative;top:1px}i.td-icon-star-empty:before{content:"☆";font-style:normal}.td-review-desc{float:left}.td-review-percent{float:right}.td-review .block-title{background-color:#222;color:#fff;display:inline-block;line-height:16px;padding:7px 12px 6px;margin-bottom:0;border-bottom:0;text-shadow:none;font-size:12px}.td-review-score span{font-size:8.5px;letter-spacing:-.1px}.td-review .td-review-percent-sign{font-size:30px}.td-review-summary-content{margin-top:8px}.td-review td{padding:10px;border:0 solid #fff;background:#fff}.td-review td:first-child{width:100%;padding-left:10px}.td-review-final-score{font-weight:700;font-size:30px}.td-review-overall i{font-size:16px}.td-review-overall td-icon-star-empty:before{font-size:14px}
<?php }?>
<?php echo $redux_builder_amp['css_editor']; } ?>